<template>
    <el-dialog
        :visible.sync="emergencyPlanVisible"
        append-to-body
        :title="title"
        :close-on-click-modal="false"
        width="600px"
    >
        <el-form ref="dataForm" :rules="dataFormRules" :model="dataForm" label-position="right" label-width="140px"  width="600px">
            <el-form-item label="制度名称:" prop="name">
                <el-input v-model="dataForm.name"/>
            </el-form-item>
            <el-form-item label="制定时间:" prop="settime">
                <el-date-picker
                    value-format="yyyy-MM-dd"
                    v-model="dataForm.settime"
                    placeholder="选择日期时间">
                </el-date-picker>
            </el-form-item>
            <el-form-item type="textarea" label="备注:" prop="memo">
                <el-input v-model="dataForm.memo"/>
            </el-form-item>
            <el-form-item label="文件:" prop="upload">
                <input id="upload" ref="upload"  type="file" multiple/>
            </el-form-item>
        </el-form>
        <div  align="right">
            <el-button @click="storeHouseVisible = false">取消</el-button>
            <el-button type="primary" @click="submitEmergency()">确认</el-button>
        </div>
    </el-dialog>

</template>

<script>
import { getToken } from '@/utils/auth'
import {uploadUrl} from '@/assets/upload/url'
import {parseError} from "../../../../utils/messageDialog";
import {addEmergencyInformation, updateEmergencyInformation} from "../../../../api/emergency";

export default {
    name: "lookStoreHouse",
    data(){
        return{
            title:'',
            emergencyPlanVisible:false,
            uploadUrl,
            header:{
                'Authorization': getToken()
            },
            dataForm:{
                file: [
                ],
                id: 0,
                ids: [
                ],
                memo: "",
                name: "",
                settime: "",
                type: "RESCUE"
            },
            dataFormRules:{

            },
            pageSize: 10,
            recordTotal: 0,
            currentPage: 1,
            pageTotal: 0,
            dialogImageUrl: '',
            dialogVisible: false,
            disabled: false,
            fileList:[],
            uploadData:{
                enterprise:1
            },
        }
    },
    methods:{
        showEmergencyForm(title,value,enterpriseId){
            this.enterpriseId = enterpriseId
            this.emergencyPlanVisible = true
            this.title = title
            if(this.title === '新增'){
                this.dataForm = {
                    file: [
                    ],
                    id: 0,
                    ids: [
                    ],
                    memo: "",
                    name: "",
                    settime: "",
                    type: "RESCUE"
                }
            }else{
                this.dataForm.type = "RESCUE"
                this.dataForm = value
            }
        },
        async submitEmergency(){
            this.dataForm.type = "RESCUE"
            const formData = new FormData();
            for (const i in this.dataForm) {
                if (
                    this.dataForm[i] != undefined &&
                    this.dataForm[i].toString() != ""
                ) {
                    formData.append(i, this.dataForm[i]);
                }
            }
            formData.append("enterpriseid",this.enterpriseId)

            const files1 = this.$refs["upload"].files;
            if (files1 && files1.length > 0) {
                for (let i = 0; i < files1.length; i++)
                    formData.append("file", files1[i]);
            }

            // formData.append("file", this.$refs["upload"].files);
            if(this.title === '新增'){
                let res = await addEmergencyInformation(formData)
                if(res.data.code === "200"){
                    this.$refs["upload"].value = ''
                    this.$emit('getinfo')
                    this.emergencyPlanVisible = false
                    this.$notify({
                        type:'success',
                        duration:2000,
                        message:'成功',
                        title:'成功',
                    })
                }else {
                    this.$message({
                        type:'warning',
                        message:res.data.message
                    })
                }
            }else{
                let res = await updateEmergencyInformation(formData)
                if(res.data.code === "200") {
                    this.$refs["upload"].value = ''
                    this.$emit('getinfo')
                    this.emergencyPlanVisible = false
                    this.$notify({
                        type: 'success',
                        duration: 2000,
                        message: '成功',
                        title: '成功',
                    })
                }else{
                    this.$message({
                        type:'warning',
                        message:res.data.message
                    })
                }
            }
        },
    }
}
</script>

<style scoped>
/deep/ .el-input__inner {
    width:300px;
}
</style>
